function init(rerender, props) {
  const urlParams = new URLSearchParams(window.location.search);
  const enableDebug = urlParams.get("yextCFDebug");

  if (enableDebug) {
    console.log("Enable custom field debugger");
    import("/src/index.ts").then((module) => {
      // Set up the profile proxy - this will log accesses to any field during rendering to `window.cfdProxyUsage`
      const proxyProps = module.getProxyProfile(props);
      // Provide the CF Debugger with a non-proxied version of the profile data so it doesn't trigger itself
      const noProxyProps = structuredClone(props);
      // Use the profile proxy & Rerender the page to log field accesses
      // reassign to the param (expected to be `window._RSS_PROPS_`) here so any in-browser JS which reads the object also gets logged
      props = proxyProps;
      rerender(props);

      module.initCFDebugger(rerender, noProxyProps);
    });
  }
}

export default init;
